Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.cellview.client
Class Header<H>

    java.lang.Object
      com.google.gwt.user.cellview.client.Header<H>

Type Parameters:
  `H` - the `Cell` type

Direct Known Subclasses:
  SafeHtmlHeader, TextHeader

    public abstract class Header<H>

extends java.lang.Object

A table column header or footer.

Constructor Summary
`Header(Cell<H> cell)` Construct a Header with a given `Cell`.

Method Summary
`Cell<H>` | `getCell()` Return the `Cell` responsible for rendering items in the header.
`java.lang.Object` | `getKey()` Get the key for the header value.
`abstract H` | `getValue()` Return the header value.
`void` | `onBrowserEvent(Cell.Context context, Element elem, NativeEvent event)` Handle a browser event that took place within the header.
`void` | `render(Cell.Context context, SafeHtmlBuilder sb)` Render the header.
`void` | `setUpdater(ValueUpdater<H> updater)` Set the `ValueUpdater`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Header

    public Header(Cell<H> cell)

  Construct a Header with a given `Cell`.

  Parameters:
    `cell` - the `Cell` responsible for rendering items in the header

Method Detail

### getCell

    public Cell<H> getCell()

  Return the `Cell` responsible for rendering items in the header.

  Returns:
    the header Cell

### getKey

    public java.lang.Object getKey()

  Get the key for the header value. By default, the key is the same as the value. Override this method to return a custom key.

  Returns:
    the key associated with the value

### getValue

    public abstract H getValue()

  Return the header value.

  Returns:
    the header value

### onBrowserEvent

    public void onBrowserEvent(Cell.Context context,
                               Element elem,
                               NativeEvent event)

  Handle a browser event that took place within the header.

  Parameters:
    `context` - the context of the header
    `elem` - the parent Element
    `event` - the native browser event

### render

    public void render(Cell.Context context,
                       SafeHtmlBuilder sb)

  Render the header.

  Parameters:
    `context` - the context of the header
    `sb` - a `SafeHtmlBuilder` to render into

### setUpdater

    public void setUpdater(ValueUpdater<H> updater)

  Set the `ValueUpdater`.

  Parameters:
    `updater` - the value updater to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD